Apache::Include(3)

NAME
Apache::Include - Utilities for mod_perl/mod_include integration

SYNOPSIS
 <!--#perl sub="Apache::Include" arg="/perl/ssi.pl" -->

DESCRIPTION
The Apache::Include module provides a handler, making it simple to include Apache::Registry scripts with the mod_include perl directive.

Apache::Registry scripts can also be used in mod_include parsed documents using 'virtual include'.

METHODS

Apache::Include->virtual($uri)
    The "virtual" method may be called to include the output of a given uri in your Perl scripts. Example:

     use Apache::Include ();

     print "Content-type: text/html\n\n";

     print "before include\n";

     my $uri = "/perl/env.pl";

     Apache::Include->virtual($uri);

     print "after include\n";

SEE ALSO
perl(1), mod_perl(3), mod_include

AUTHOR
Doug MacEachern